Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

List test suites

List the project’s test suites, newest first.

GET/v1/projects/{projectId}/test-suites
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstring<uuid>required
Query parameters
offsetinteger
min 0
limitinteger
min 1 · max 100
Responses
200

Response for status 200

test_suitesTestSuite[]required
Show properties
Array of TestSuite
test_suite_idstring<uuid>required
namestringrequired
descriptionstring | nullrequired
Show properties
Any of:
string
string
null
null
labelsstring[]required
versionintegerrequired

Latest published; the draft is +1.

created_atstring<date-time>required
updated_atstring<date-time>required
next_offsetinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/test-suites' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json'
Response
{
  "test_suites": [
    {
      "test_suite_id": "24b8f606-0469-466c-ae80-0678f89ae1bf",
      "name": "string",
      "description": "string",
      "labels": [
        "string"
      ],
      "version": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_offset": 0
}

Was this page helpful?